@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:wght@200;300;400;500;600;700;800;900&family=Roboto:wght@300;400;500;700;900&display=swap");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins";
  text-decoration: none;
}

::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-thumb {
  background: #9b9b9b;
  border-radius: 5px;
  cursor: pointer;
}
body {
  overflow-x: hidden;
}

::selection {
  background: #66c887;
  color: #fff;
}
.hiddenHeader {
  opacity: 0;
  visibility: hidden;
  background-color: #fff;
  width: 100vw;
  transform: translateY(-50px);
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 10000;
  transition: 0.3s;
}
.hiddenHeader img {
  width: 50px;
}
.hiddenHeader.showHeader {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.menu {
  width: 100%;
  position: absolute;
  top: 0;
  z-index: 10000000000;
}
.menu .socials {
  align-items: center;
  display: flex;
  width: 100%;
  justify-content: flex-end;
  background-color: #c7ddcb;
  padding: 10px 300px;
  gap: 10px;
}
.menu .socials p {
  font-size: 0.8rem;
  font-weight: 600;
  color: #4b4b4b;
}
.menu .socials a {
  color: #007f45;
  font-size: 13px;
  height: 25px;
  width: 25px;
  align-items: center;
  justify-content: center;
  display: flex;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  transition: color 0.3s ease;
}
.menu .navigation {
  display: flex;
  gap: 30px;
  align-items: center;
  justify-content: center;
  position: absolute;
  background: #fff;
  width: 100%;
  height: 90px;
  z-index: 1000;
  box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.05);
}
.menu .navigation ul {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  list-style: none;
}
.menu .navigation ul li,
.menu .navigation ul li a {
  font-size: 0.9rem;
  font-weight: 600;
  color: #4b4b4b;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
}
.menu .navigation ul li i {
  font-size: 0.6rem;
  color: #4b4b4b;
}
.menu .navigation img {
  width: 60px;
}
.menu .navigation button {
  padding: 8px 20px;
  background: #40916c;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background 0.3s;
}
.menu .navigation button a {
  color: #fff;
  font-size: 0.9rem;
}
.menu .navigation button:hover {
  background: #2d6a4f;
}
.menu .navigation .dropdown {
  position: relative;
  padding: 40px 0;
}
.menu .navigation .dropdown .dropdown-menu {
  display: none;
}
.menu .navigation .dropdown.open i {
  transform: rotate(180deg);
  transition: 0.3s;
}
.menu .navigation .dropdown.open .dropdown-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: absolute;
  top: 80px;
  left: 0;
  background: #fff;
  padding: 20px 35px;
  white-space: nowrap;
  border-radius: 5px;
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
  gap: 20px;
}
.menu .navigation .dropdown-menu li a {
  font-weight: 500;
  color: #4b4b4b;
}
.menu .navigation .dropdown-menu li a:hover {
  color: #40916c;
}
.menu-toggle {
  display: none;
  font-size: 1.5rem;
  color: #4b4b4b;
  cursor: pointer;
}
.container {
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 10px;
  gap: 10px;
  transition: all 0.3s ease;
}
.maps .switch {
  top: 50%;
  transform: translate(-50%);
  right: -45px;
  z-index: 1000;
  cursor: pointer;
  position: absolute;
  height: 40px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: #fff;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.05);
}
.container .maps {
  border-radius: 10px;
  position: relative;
}
.container .maps iframe {
  width: 25vw;
  height: 97vh;
  border-radius: 10px;
}
.container .maps iframe,
.inputContainer {
  transition: width 0.5s ease;
}
.container.toggled iframe {
  width: 75vw;
}
.container.toggled .inputContainer {
  width: 25vw;
}
.container.toggled #contactForm {
  width: 90%;
}
.inputContainer {
  height: 100%;
  width: 75vw;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.container #contactForm {
  width: 50%;
  z-index: 1000;
}
.container .inputs .texts {
  margin-bottom: 10px;
  user-select: none;
  line-height: 200%;
}
.container .inputs .texts .split {
  font-size: 45px;
  letter-spacing: 2px;
  font-weight: 700;
  white-space: nowrap;
}
.container .inputs input {
  background: #fff;
  border: none;
  outline: none;
  border-bottom: 2px solid #dddd;
  border-radius: 5px;
  padding: 8px 14px;
  letter-spacing: 1px;
  width: 100%;
}
.container .inputs .name {
  display: flex;
  gap: 15px;
  width: 100%;
}
.container .inputs .name input {
  width: 100%;
}
.container .inputs .wrapper {
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: center;
  justify-content: center;
  width: 100%;
}
.container .inputs .input-box {
  margin-top: 22px;
  width: 100%;
  position: relative;
}
.container .inputs .input-box .icon {
  position: absolute;
  right: 5px;
  padding: 8px 14px;
  font-size: 0.8rem;
  pointer-events: none;
  color: #5e5e5e;
  top: 50%;
  transform: translatey(-50%);
}
.container .inputs .content {
  margin-top: 10px;
  display: flex;
  width: 100%;
  flex-direction: column;
  margin-bottom: 20px;
  position: relative;
}
.container .inputs .input-box span {
  font-family: "montserrat";
  position: absolute;
  left: 0;
  padding: 8px 14px;
  font-size: 12px;
  transition: 0.5s;
  pointer-events: none;
  color: rgb(58, 58, 58, 0.7);
}
.container .inputs .error-message {
  font-size: 10px;
  color: red;
  white-space: nowrap;
  position: absolute;
  bottom: -15px;
}
.input-box input:focus ~ span,
.input-box input:valid ~ span {
  color: green;
  text-transform: uppercase;
  font-size: 10px !important;
  transform: translateY(-22px) translateX(-6px);
  padding: 0 5px;
  background: transparent;
}
.container .inputs textarea {
  resize: none;
  height: 20vh;
  background: #fff;
  border: none;
  outline: none;
  border-bottom: 2px solid #dddd;
  border-radius: 5px;
  padding: 8px 14px;
  letter-spacing: 1px;
  width: 100%;
}
.container .inputs button {
  position: relative;
  width: 100%;
  color: #fff;
  border: none;
  background-color: #1b4332;
  cursor: pointer;
  border-radius: 5px;
  font-size: 1.125rem;
  outline: none;
  padding: 5px 2px;
}
.container .inputs button i {
  font-size: 0.8rem;
}

.area {
  border-radius: 15px;
  position: absolute;
  background: #d8f3dc;
  background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);
  width: 100%;
  height: 100%;
}
.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  background: rgba(82, 183, 136, 0.2);
  animation: animate 25s linear infinite;
  bottom: -150px;
}
.circles li:nth-child(1) {
  left: 25%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}
.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 12s;
}
.circles li:nth-child(3) {
  left: 70%;
  width: 20px;
  height: 20px;
  animation-delay: 4s;
}
.circles li:nth-child(4) {
  left: 40%;
  width: 60px;
  height: 60px;
  animation-delay: 0s;
  animation-duration: 18s;
}
.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}
.circles li:nth-child(6) {
  left: 75%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}
.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 7s;
}
.circles li:nth-child(8) {
  left: 50%;
  width: 25px;
  height: 25px;
  animation-delay: 15s;
  animation-duration: 45s;
}
.circles li:nth-child(9) {
  left: 20%;
  width: 15px;
  height: 15px;
  animation-delay: 2s;
  animation-duration: 35s;
}
.circles li:nth-child(10) {
  left: 85%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}
@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }
  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 0;
    border-radius: 50%;
  }
}
.contacts {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 10px;
}
.contacts .top,
.contacts .middle,
.contacts .bottom {
  display: flex;
  width: 100%;
  justify-content: space-between;
  gap: 10px;
}
.contacts .card {
  display: flex;
  border-radius: 5px;
  border: 1px solid #dddd;
  padding: 10px 12px;
  flex-direction: column;
  gap: 10px;
  background: #fff;
  transition: transform 0.3s ease-in-out;
}
.contacts .card:hover {
  transform: scale(1.1);
}
.contacts .card {
  width: calc(100% / 3);
}

.contacts .card .wrapper {
  display: flex;
  align-items: center;
  gap: 5px;
}
.contacts .card .wrapper p {
  font-size: 12px;
  width: 100%;
  white-space: normal;
  word-break: break-all;
  color: #4b4b4b;
}
.contacts .card .wrapper i {
  font-size: 14px;
  color: #4b4b4b;
}
.contacts .card .wrapper .contactName {
  font-size: 14px;
  color: #000;
  font-weight: 600;
}
footer {
  width: 100%;
  height: 19cm;
  position: relative;
  overflow: hidden;
  padding: 20px 60px;
}
footer .footer-bg {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 0;
}
footer .footer-container {
  position: relative;
  z-index: 1;
  height: 100%;
}
footer .footer-wrapper {
  height: 90%;
  display: flex;
}
footer .footer-wrapper .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 50%;
}
footer .footer-wrapper .wrapper:nth-of-type(2) {
  align-items: flex-end;
  padding: 90px 0;
  margin-top: 50px;
}
footer .footer-wrapper .wrapper img {
  width: 800px;
}
footer .footer-wrapper .wrapper .footer-links {
  font-size: 4.5rem;
  font-weight: 700;
  color: #fff;
  line-height: 0.9;
}
footer .footer-wrapper .wrapper .footer-links .links {
  display: flex;
  gap: 30px;
  font-size: 2rem;
  margin-top: 10px;
}
footer .footer-wrapper .wrapper .footer-links .links a {
  color: #fff;
}
footer .footer-wrapper .wrapper .footer-links span {
  color: #74c69d;
}
footer .footer-wrapper .wrapper .navigational-link {
  display: flex;
  justify-content: space-between;
  width: 100%;
  flex-wrap: wrap;
  gap: 20px;
}
footer .footer-wrapper .wrapper .navigational-link .navi {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-end;
  color: #fff;
  font-size: 1.5rem;
  font-weight: 700;
}
footer .footer-wrapper .wrapper .navigational-link .navi a {
  color: #fff;
  font-size: 1rem;
  font-weight: 600;
}
footer .copyright {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  height: 10%;
}
footer .footer-wrapper .wrapper .footer-desc {
  font-size: 2.3rem;
  font-weight: 600;
  line-height: 1.1;
  text-align: right;
  color: #fff;
}
footer
  .footer-wrapper
  .wrapper
  .navigational-link
  .navi.contacts-link
  .contacts-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
footer
  .footer-wrapper
  .wrapper
  .navigational-link
  .navi.contacts-link
  .contacts-wrapper
  a {
  font-size: 0.8rem;
  text-align: right;
}
footer
  .footer-wrapper
  .wrapper
  .navigational-link
  .navi.contacts-link
  .contacts-wrapper
  span {
  font-size: 0.95rem;
  color: #59e9a8;
}
@media only screen and (min-width: 300px) and (max-width: 900px) {
    .menu .socials {
    padding: 10px 20px;
    justify-content: center;
  }
  .menu .navigation img {
    width: 45px;
  }
  .menu .navigation {
    justify-content: space-between;
    padding: 0 20px;
    position: relative;
    height: 70px;
  }

  .menu .navigation ul {
    position: absolute;
    top: 65px;
    left: 0;
    width: 100%;
    flex-direction: column;
    background-color: #fff;
    gap: 20px;
    padding: 20px 0;
    display: none;
    box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.05);
  }

  .menu .navigation ul.active {
    display: flex;
  }

  .menu-toggle {
    display: block;
  }

  .menu .navigation button {
    width: 80%;
    margin: auto;
  }

  .menu .navigation .dropdown {
    padding: 10px 0;
  }
  .menu .navigation .dropdown.open .dropdown-menu {
    position: static;
    padding: 10px 20px;
    box-shadow: none;
    background: none;
  }
  .menu .navigation .dropdown.open .dropdown-menu li a {
    font-size: 0.8rem;
  }
  .contact-nav {
    display: none;
  }
  .contacts .top,
  .contacts .middle,
  .contacts .bottom {
    flex-direction: column;
  }
  .contacts .card {
    width: 100% !important;
  }
  .container .inputs .texts .split {
    margin-bottom: 10px;
  }
    footer {
    padding: 5px 15px;
  }
  footer .footer-bg {
    object-position: right center;
  }
  footer .footer-wrapper {
    flex-direction: column;
  }
  footer .footer-wrapper .wrapper {
    width: 100%;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  footer .footer-wrapper .wrapper img {
    width: 400px;
  }
  footer .footer-wrapper .wrapper:nth-of-type(2) {
    padding: 10px 0;
    margin-top: 0;
  }
  footer .footer-wrapper .wrapper .footer-links {
    font-size: 2rem;
    margin-top: -40px;
  }
  footer .footer-wrapper .wrapper .footer-links .links {
    align-items: center;
    justify-content: center;
    font-size: 1.3rem;
  }
  footer .footer-wrapper .wrapper .navigational-link .navi {
    font-size: 0.9rem;
    font-weight: 600;
    gap: 5px;
  }
  footer .footer-wrapper .wrapper .navigational-link .navi a {
    font-size: 0.7rem;
    font-weight: 400;
  }
  footer .footer-wrapper .wrapper .footer-desc {
    font-size: 1.2rem;
    text-align: center;
    font-weight: 500;
    margin-top: 50px;
  }
  footer .footer-container .copyright p {
    font-size: 0.75rem;
  }
  footer .footer-wrapper .wrapper .navigational-link .navi.contacts-link {
    margin-left: auto;
    text-align: right;
  }
  footer .copyright {
    height: 5%;
  }
  footer .footer-wrapper {
    height: 95%;
  }
  .container .inputs .name {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 5px;
  }
  .container #contactForm {
    width: 85%;
    z-index: 1000;
  }
  .container .inputs .texts span {
    font-size: 40px;
    letter-spacing: 1px;
    white-space: normal;
  }
  .container .inputs .texts p {
    font-size: 0.9rem;
  }
  .container .maps iframe {
    width: 20vw;
  }
  .inputContainer {
    width: 80vw;
  }
  .container.toggled iframe {
    width: 90vw;
  }
  .container.toggled .inputContainer {
    width: 10vw;
  }
  .container.toggled #contactForm {
    transform: translateX(70px);
  }
  .container.toggled header img {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
  }
}
